package com.njcn.gather.detection.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2024/11/9
 */
@Getter
public enum DetectionResponseEnum {
    PLAN_PATTERN_NOT("A020001", "计划模式查询为空"),
    PLAN_NOT_EXIST("A020001", "计划信息缺失"),
    SCRIPT_PATTERN_NOT("A020001", "检测脚本查询为空"),
    SOURCE_INFO_NOT("A020002", "源表信息不存在"),
    PLAN_AND_SOURCE_NOT("A020003", "计划和源关系不存在"),
    ITEM_TEST_NOT("A020004", "检测项为空"),
    PLAN_DEV_IP_HAS("A20005","当前计划检测装置ip重复"),
    SOURCE_NOT_CONNECT("A020006", "源未连接"),


    SCRIPT_CHECK_DATA_NOT_EXIST("A020040","测试脚本项暂无配置" ),
    EXCEED_MAX_TIME("A020041","检测次数超出最大限制！" ),
    DETECTION_BUSY("A020042", "检测进行中");

    private final String code;
    private final String message;

    DetectionResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
